Subject: [IPP] RFC: fetch-status-code - integer or enum?

From: Michael Sweet <[email-masked]>
Date: Sun, 14 Sep 2014 21:09:50 -0400

All,

I was going through RFC 3995 and noticed the "notify-status-code" attribute is defined as a type2 enum.  But in IPPINFRA I defined the "fetch-status-code" attribute as an integer instead.

Per RFC 2911 (http://tools.ietf.org/html/rfc2911#section-4.1.4), the enum type only allows for values from 1 to 2^31-1 (MAX), but this poses a problem for status codes since they start at 0 (for 'successful-ok').

RFC 3995 gets around the 'successful-ok' problem by only returning the "notify-status-code" attribute if the result is not 'successful-ok'.

If I update the "fetch-status-code" attribute to be a type2 enum, I'll need to apply the same logic (only send "fetch-status-code" if it isn't 'successful-ok').  That would be consistent with RFC 3995, if perhaps a little obscure.

Thoughts?

_________________________________________________________
Michael Sweet, Senior Printing System Engineer, PWG Chair

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp